globus_gass_transfer_requestattr_implementation(3)

NAME
globus_gass_transfer_requestattr_implementation - Implementing Request Attributes

 - Implementing Request Attributes.

SYNOPSIS

  Functions

globus_object_t * globus_gass_transfer_requestattr_initialize (globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse)

  Connection Reuse

globus_object_t * globus_gass_transfer_socket_requestattr_initialize (globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)

  TCP Nodelay

globus_object_t * globus_gass_transfer_secure_requestattr_initialize (globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char *subject)

  Authorization

globus_object_t * globus_gass_transfer_listenerattr_initialize (globus_object_t *obj, int backlog, unsigned short port)

Detailed Description

Implementing Request Attributes.

Function Documentation

  globus_object_t * globus_gass_transfer_listenerattr_initialize (globus_object_t * obj, int backlog, unsigned short port)
Initialize a base listener attribute.

Parameters
    obj
    backlog
    port

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_LISTENERTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

  globus_object_t * globus_gass_transfer_requestattr_initialize (globus_object_t * obj, char * proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse)
Initialize a base request attribute.

Parameters
    obj
    proxy_url
    block_size
    file_mode
    connection_reuse

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_REQUESTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

  globus_object_t * globus_gass_transfer_secure_requestattr_initialize (globus_object_t * obj, char * proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char * subject)
Initialize a secure request attribute.

Parameters
    obj
    proxy_url
    block_size
    file_mode
    connection_reuse
    sndbuf
    rcvbuf
    nodelay
    authorization
    subject

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_SECURE_REQUESTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

  globus_object_t * globus_gass_transfer_socket_requestattr_initialize (globus_object_t * obj, char * proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)
Initialize a socket request attribute.

Parameters
    obj
    proxy_url
    block_size
    file_mode
    connection_reuse
    sndbuf
    rcvbuf
    nodelay

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_SOCKET_REQUESTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

Author

Generated automatically by Doxygen for globus_gass_transfer from the source code.